PRODUCT=FlashphonerWebCallServerOAM
OAM_ENV_CONFIG="/usr/local/$PRODUCT/bin/setenv.sh"
OAM_PID_FILE="/var/run/$PRODUCT.pid"
OAM_LOCK_FILE="/var/run/$PRODUCT"

if test -w "/var/lock/subsys" ; then
 OAM_LOCK_FILE="/var/lock/subsys/$PRODUCT"
fi

[ -r "$OAM_ENV_CONFIG" ] && . "$OAM_ENV_CONFIG"

if [ "$OAM_NON_ROOT" = true ]; then
 OAM_PID_FILE="$OAM_APP_HOME/bin/$PRODUCT.pid"
 OAM_LOCK_FILE="$OAM_APP_HOME/bin/$PRODUCT"
fi


if [ -f $OAM_PID_FILE -a -f $OAM_LOCK_FILE ]; then
 echo $"$PRODUCT: running, first shutdown"
 exit 1
fi

$_EXECJAVA $OAM_JAVA_OPTS -DWCS_CONFIG_PATH="$OAM_APP_HOME/conf/wcsoam.properties" -DTOOL_CONFIG_PATH="$OAM_APP_HOME/conf/init_tsdb.properties"  -DappHome="$OAM_APP_HOME" $OAM_SERVER_OPTS -cp "$OAM_APP_HOME/lib/classes:$OAM_APP_HOME/lib/lib/*" com.flashphoner.oam.utils.PrepareTimeSeriesDatabaseTool

